org.apache.bcel.util

## Interface Repository

- All Known Implementing Classes:
    ClassLoaderRepository, ClassPathRepository, MemorySensitiveClassPathRepository, SyntheticRepository

      public interface Repository

  Abstract definition of a class repository. Instances may be used to load classes from different sources and may be used in the Repository.setRepository method.
  Version:
    $Id: Repository.java 1806200 2017-08-25 16:33:06Z ggregory $
  See Also:
    `Repository`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clear all entries from cache.
    `JavaClass` | `findClass(String className)` Find the class with the name provided, if the class isn't there, return NULL.
    `ClassPath` | `getClassPath()` Get the ClassPath associated with this Repository
    `JavaClass` | `loadClass(Class<?> clazz)` Find the JavaClass instance for the given run-time class object
    `JavaClass` | `loadClass(String className)` Find the class with the name provided, if the class isn't there, make an attempt to load it.
    `void` | `removeClass(JavaClass clazz)` Remove class from repository
    `void` | `storeClass(JavaClass clazz)` Store the provided class under "clazz.getClassName()"

- - ### Method Detail

    - #### storeClass

          void storeClass(JavaClass clazz)

      Store the provided class under "clazz.getClassName()"

    - #### removeClass

          void removeClass(JavaClass clazz)

      Remove class from repository

    - #### findClass

          JavaClass findClass(String className)

      Find the class with the name provided, if the class isn't there, return NULL.

    - #### loadClass

          JavaClass loadClass(String className)
                       throws ClassNotFoundException

      Find the class with the name provided, if the class isn't there, make an attempt to load it.
      Throws:
        `ClassNotFoundException`

    - #### loadClass

          JavaClass loadClass(Class<?> clazz)
                       throws ClassNotFoundException

      Find the JavaClass instance for the given run-time class object
      Throws:
        `ClassNotFoundException`

    - #### clear

          void clear()

      Clear all entries from cache.

    - #### getClassPath

          ClassPath getClassPath()

      Get the ClassPath associated with this Repository

Copyright © 2004–2017 The Apache Software Foundation. All rights reserved.